package com.adit.smartplant.ui.components

import androidx.compose.foundation.background
import androidx.compose.foundation.layout.*
import androidx.compose.foundation.lazy.LazyColumn
import androidx.compose.foundation.lazy.items
import androidx.compose.material3.*
import androidx.compose.runtime.Composable
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.unit.dp
import androidx.compose.ui.unit.sp
import com.example.uitugasakhir.model.RiwayatItem

@Composable
fun RiwayatCard(
    riwayatList: List<RiwayatItem>
) {
    Card(
        modifier = Modifier
            .padding(horizontal = 25.dp)
            .size(width = 333.dp, height = 214.dp)
    ) {
        LazyColumn {
            items(riwayatList) { item ->
                Text(
                    text = "${item.waktu} ${item.aksi}",
                    fontSize = 14.sp
                )
            }
        }
    }
}